<?php 
include "./admin/config.inc.php";

//
// lets show any errors we get in PHP
//

ini_set ('display_errors', 1);
error_reporting (E_ALL & ~E_NOTICE);

//
// Now we connect to the MySQL server and select the database
//

if(ereg(":",$GB_DB['host'])) 
{
   list($host,$port) = explode(":",$GB_DB['host']);
   $port = $port;
} 
else 
{
   $port = 3306;
}

if ($dbc = @mysql_connect ($GB_DB['host'].":".$port, $GB_DB['user'], $GB_DB['pass']))
{
   if (!@mysql_select_db ($GB_DB['dbName'], $dbc))
   {
      die ('<p>Could not select the database because: <b>'.mysql_error().'</b></p>');
   }
} 
else 
{
   die ('<p>Could not connect to MySQL because: <b>'.mysql_error().'</b></p>');
}

//
// End of this section of code
//
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title>Lazarus Guestbook Installer</title>
<style type="text/css">
<!--
body { background: #FFF; font-family: arial,tahoma,sans-serif; font-size: 14px; text-align: center; padding: 0; margin: 0; }
fieldset { border: 0; margin: 10px; }
form { text-align: center; width: 400px; background-color: #CFF; border: 1px solid black; font-family: arial,tahoma,sans-serif; }
form p { text-align: left; }
h1 { text-align: center; font-size: 30px; }
td { font-size: 14px; }
.button { width: 230px; }
.done { font-weight: bold; color: green; text-align: right; width: 100px; }
.error { font-weight: bold; color: red; text-align: right; width: 100px; }
.mysqlerror { font-style: italic; text-align: left; border: 1px dashed #D00; background-color: #FCC }
.tables { width: 400px; margin: 0 auto 0 auto; background-color: #FFF; border: 0; }
.tablestd { text-align: left; }
-->
</style>
</head>
<body>
<h2>LAZARUS GUESTBOOK INSTALLER</h2>
<?php

//
// Lets make some arrays to contain the fields to go in the database tables
//

$authtable = array(
'ID' => 'ID smallint(5) NOT NULL auto_increment',
'username' => "username varchar(60) NOT NULL default ''",
'password' => "password varchar(60) NOT NULL default ''",
'session' => "session varchar(32) NOT NULL default ''",
'last_visit' => 'last_visit int(11) NOT NULL'
);

$bantable = array(
'ban_ip' => "ban_ip varchar(15) NOT NULL default ''"
);

$comtable = array(
'com_id' => 'com_id int(11) NOT NULL auto_increment',
'id' => 'id int(11) NOT NULL default 0',
'name' => "name varchar(50) NOT NULL default ''",
'comments' => 'comments text NOT NULL',
'host' => "host varchar(60) NOT NULL default ''",
'timestamp' => 'timestamp int(11) NOT NULL default 0',
'comaccepted' => 'comaccepted smallint(1) NOT NULL default 1'
);

$cfgtable = array(
'config_id' => 'config_id smallint(4) NOT NULL auto_increment',
'agcode' => 'agcode smallint(1) NOT NULL default 0',
'allow_html' => 'allow_html smallint(1) NOT NULL default 0',
'offset' => 'offset varchar(5) NOT NULL default 0',
'smilies' => 'smilies smallint(1) NOT NULL default 1',
'dformat' => "dformat varchar(6) NOT NULL default ''",
'tformat' => "tformat varchar(4) NOT NULL default '24hr'",
'admin_mail' => "admin_mail varchar(50) NOT NULL default ''",
'notify_private' => 'notify_private smallint(1) NOT NULL default 0',
'notify_admin' => 'notify_admin smallint(1) NOT NULL default 0',
'notify_guest' => 'notify_guest smallint(1) NOT NULL default 0',
'notify_mes' => 'notify_mes text NOT NULL',
'entries_per_page' => 'entries_per_page int(6) NOT NULL default 10',
'show_ip' => 'show_ip smallint(1) NOT NULL default 0',
'pbgcolor' => 'pbgcolor varchar(7) NOT NULL default 0',
'text_color' => 'text_color varchar(7) NOT NULL default 0',
'link_color' => 'link_color varchar(7) NOT NULL default 0',
'width' => 'width varchar(4) NOT NULL default 0',
'tb_font_1' => "tb_font_1 varchar(7) NOT NULL default ''",
'tb_font_2' => "tb_font_2 varchar(7) NOT NULL default ''",
'font_face' => "font_face varchar(60) NOT NULL default ''",
'tb_hdr_color' => "tb_hdr_color varchar(7) NOT NULL default ''",
'tb_bg_color' => "tb_bg_color varchar(7) NOT NULL default ''",
'tb_text' => "tb_text varchar(7) NOT NULL default ''",
'tb_color_1' => "tb_color_1 varchar(7) NOT NULL default ''",
'tb_color_2' => "tb_color_2 varchar(7) NOT NULL default ''",
'lang' => "lang varchar(30) NOT NULL default ''",
'min_text' => 'min_text smallint(4) NOT NULL default 0',
'max_text' => 'max_text int(6) NOT NULL default 0',
'max_word_len' => 'max_word_len smallint(4) NOT NULL default 0',
'comment_pass' => "comment_pass varchar(50) NOT NULL default ''",
'need_pass' => 'need_pass smallint(1) NOT NULL default 0',
'censor' => 'censor smallint(1) NOT NULL default 0',
'flood_check' => 'flood_check smallint(1) NOT NULL default 0',
'banned_ip' => 'banned_ip smallint(1) NOT NULL default 0',
'flood_timeout' => 'flood_timeout smallint(5) NOT NULL default 0',
'allow_icq' => 'allow_icq smallint(1) NOT NULL default 0',
'allow_aim' => 'allow_aim smallint(1) NOT NULL default 0',
'allow_gender' => 'allow_gender smallint(1) NOT NULL default 0',
'allow_img' => 'allow_img smallint(1) NOT NULL default 0',
'max_img_size' => "max_img_size int(10) NOT NULL default '0'",
'img_width' => 'img_width smallint(5) NOT NULL default 0',
'img_height' => 'img_height smallint(5) NOT NULL default 0',
'thumbnail' => 'thumbnail smallint(1) NOT NULL default 0',
'thumb_min_fsize' => 'thumb_min_fsize int(10) NOT NULL default 0',
'encrypt_email' => 'encrypt_email smallint(1) NOT NULL default 1',
'allow_yahoo' => 'allow_yahoo smallint(1) NOT NULL default 1',
'allow_skype' => 'allow_skype smallint(1) NOT NULL default 1',
'allow_msn' => 'allow_msn smallint(1) NOT NULL default 1',
'allow_private' => 'allow_private smallint(1) NOT NULL default 1',
'allowed_tags' => "allowed_tags varchar(30) NOT NULL default ''",
'require_checking' => 'require_checking smallint(1) NOT NULL default 0',
'require_email' => 'require_email smallint(1) NOT NULL default 0',
'html_email' => 'html_email smallint(1) NOT NULL default 0',
'require_comchecking' => 'require_comchecking smallint(1) NOT NULL default 0',
'notify_admin_com' => 'notify_admin_com smallint(1) NOT NULL default 0',
'allow_imgagcode' => 'allow_imgagcode smallint(1) NOT NULL default 0',
'allow_urlagcode' => 'allow_urlagcode smallint(1) NOT NULL default 0',
'allow_url' => 'allow_url smallint(1) NOT NULL default 1',
'antibottest' => 'antibottest smallint(1) NOT NULL default 0',
'bottestquestion' => "bottestquestion varchar(50) NOT NULL default ''",
'bottestanswer' => "bottestanswer varchar(20) NOT NULL default ''",
'use_regex' => 'use_regex smallint(1) NOT NULL default 0',
'post_time_min' => 'post_time_min smallint(2) NOT NULL default 20',
'post_time_max' => 'post_time_max smallint(5) NOT NULL default 300' 
);

$datatable = array(
'id' => 'id int(11) NOT NULL auto_increment',
'name' => "name varchar(50) NOT NULL default ''",
'gender' => "gender char(1) NOT NULL default ''",
'email' => "email varchar(60) NOT NULL default ''",
'url' => "url varchar(70) NOT NULL default ''",
'date' => 'date int(11) NOT NULL default 0',
'location' => "location varchar(50) NOT NULL default ''",
'host' => "host varchar(60) NOT NULL default ''",
'browser' => "browser varchar(100) NOT NULL default ''",
'comment' => 'comment text NOT NULL',
'icq' => 'icq int(11) NOT NULL default 0',
'aim' => "aim varchar(70) NOT NULL default ''",
'msn' => "msn varchar(70) NOT NULL default ''",
'yahoo' => "yahoo varchar(40) NOT NULL default ''",
'skype' => "skype varchar(40) NOT NULL default ''",
'accepted' => 'accepted smallint(1) NOT NULL default 1'
);

$iptable = array(
'guest_ip' => "guest_ip varchar(15) NOT NULL default ''",
'timestamp' => 'timestamp int(11) NOT NULL default 0'
);

$picstable = array(
'msg_id' => 'msg_id int(11) NOT NULL default 0',
'book_id' => 'book_id int(11) NOT NULL default 0',
'p_filename' => "p_filename varchar(100) NOT NULL default ''",
'p_size' => 'p_size int(11) unsigned NOT NULL default 0',
'width' => 'width int(11) unsigned NOT NULL default 0',
'height' => 'height int(11) unsigned NOT NULL default 0'
);

$smiletable = array(
'id' => 'id int(11) NOT NULL auto_increment',
's_code' => "s_code varchar(20) NOT NULL default ''",
's_filename' => "s_filename varchar(60) NOT NULL default ''",
's_emotion' => "s_emotion varchar(60) NOT NULL default ''",
'width' => 'width smallint(6) unsigned NOT NULL default 0',
'height' => 'height smallint(6) unsigned NOT NULL default 0'
);

$wordstable = array(
'word' => "word varchar(30) NOT NULL default ''"
);

//
// Lets create the queries to fill the preset data when installing
//

      $tbl_data[] = "INSERT INTO ".$GB_TBL['auth']." VALUES (1,'test',PASSWORD('123'),'cd2c6d5e457641991d52da8fb6d87c08',1013100791)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['ban']." VALUES ('123.123.123.123')";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['cfg']." VALUES (1, 1, 1, '5', 1, 'Euro', '24hr', 'root@localhost', 1, 1, 1, 'Thank you for signing the guestbook.', 10, 1, '#FFFFFF', '#000000', '#006699', '95%', '11px', '10px', 'Verdana, Arial, Helvetica, sans-serif', '#7878BE', '#000000', '#FFFFFF', '#E8E8E8', '#F7F7F7', 'english', 6, 1500, 80, 'comment', 0, 1, 0, 1, 60, 1, 1, 1, 0, 120, 320, 90, 1, 12, 1, 1, 1, 1, 0, 'b,i,u', 0, 0, 0, 0, 1, 0, 1, 1, 0, '', '', 0, 20, 300)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['words']." VALUES ('fuck')";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (1, ':-)', 'a1.gif', 'smile', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (2, ':-(', 'a2.gif', 'frown', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (3, ';-)', 'a3.gif', 'wink', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (4, ':o', 'a4.gif', 'embarrassment', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (5, ':D', 'a5.gif', 'big grin', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (6, ':p', 'a6.gif', 'razz (stick out tongue)', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (7, ':cool:', 'a7.gif', 'cool', 21, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (8, ':rolleyes:', 'a8.gif', 'roll eyes (sarcastic)', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (9, ':mad:', 'a9.gif', '#@*%!', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (10, ':eek:', 'a10.gif', 'eek!', 15, 15)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (11, ':confused:', 'a11.gif', 'confused', 15, 22)";
      $tbl_data[] = "INSERT INTO ".$GB_TBL['smile']." (id, s_code, s_filename, s_emotion, width, height) VALUES (12, ':lol:', 'lol.gif', 'lol', 15, 15)";
      
//
// Just our SQL function
//

function run_query($query)
{
   if (@mysql_query($query)) 
   {
      $queryresult = "<td class=\"done\">done</td>\n</tr>\n";
   }
   else
   {
      $queryresult = "<td class=\"error\">ERROR!</td>\n</tr>\n<tr>\n<td class=\"mysqlerror\" colspan=\"2\"><b>ERROR MESSAGE:</b> ".mysql_error()."</td>\n</tr>\n<tr>\n<td class=\"mysqlerror\" colspan=\"2\"><b>Query:</b> ".$query."</td>\n</tr>\n";
   }
   return $queryresult;
}

//
// This function is for retrieving a list of fields in a table
//

function GetFieldList($DB, $Table)
{
   $fldlist = mysql_list_fields($DB, $Table);
   $columns = mysql_num_fields($fldlist);
   for ($i = 0; $i < $columns; $i++)
   {
      $Listing[] = mysql_field_name($fldlist, $i);
   }
   Return ($Listing);
}    

//
// Now lets see if they have selected an option
//

if (isset($_POST['lazinstall']))
{
   echo ("<h5>Creating Tables...</h5>\n<table class=\"tables\">\n");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['auth']."</td>\n");
   $query = implode(', ', $authtable);
   echo run_query("CREATE TABLE ".$GB_TBL['auth']." ( ".$query.", PRIMARY KEY (ID) )");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['ban']."</td>\n");
   $query = implode(', ', $bantable);
   echo run_query("CREATE TABLE ".$GB_TBL['ban']." ( ".$query." )");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['com']."</td>\n");
   $query = implode(', ', $comtable);
   echo run_query("CREATE TABLE ".$GB_TBL['com']." (".$query.", PRIMARY KEY (com_id))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['cfg']."</td>\n");
   $query = implode(', ', $cfgtable);
   echo run_query("CREATE TABLE ".$GB_TBL['cfg']." (".$query.", PRIMARY KEY (config_id))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['data']."</td>\n");
   $query = implode(', ', $datatable);
   echo run_query("CREATE TABLE ".$GB_TBL['data']." (".$query.", PRIMARY KEY (ID))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['ip']."</td>\n");
   $query = implode(', ', $iptable);
   echo run_query("CREATE TABLE ".$GB_TBL['ip']." (".$query.", KEY guest_ip (guest_ip))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['pics']."</td>\n");
   $query = implode(', ', $picstable);
   echo run_query("CREATE TABLE ".$GB_TBL['pics']." (".$query.", KEY msg_id (msg_id), KEY book_id (book_id))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['priv']."</td>\n");
   $query = implode(', ', $datatable);
   echo run_query("CREATE TABLE ".$GB_TBL['priv']." (".$query.", PRIMARY KEY (ID))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['smile']."</td>\n");
   $query = implode(', ', $smiletable);
   echo run_query("CREATE TABLE ".$GB_TBL['smile']." (".$query.", PRIMARY KEY (ID))");
   
   echo ("<tr>\n<td class=\"tablestd\">Creating ".$GB_TBL['words']."</td>\n");
   $query = implode(', ', $wordstable);
   echo run_query("CREATE TABLE ".$GB_TBL['words']." (".$query.")");
   
   echo ("</table>\n<h5>Inserting Data...</h5>\n<table class=\"tables\">\n");
   for ($i=0;$i<sizeof($tbl_data);$i++) 
   {
      echo ('<td class=\"tablestd\">Populating table '.$i."</td>\n");
      echo run_query($tbl_data[$i]);
   }
   
   echo ("</table>\n<p>All done. Click <a href=\"admin.php\">HERE</a> to goto the admin section where you need to change your username and password from the defaults.<br>\nThe default username is <b>test</b> and the default password is <b>123</b>.</p>\n<h2>FOR SECURITY REASONS DELETE THIS FILE</h2>");
}
elseif (isset($_POST['lazupdate']))
{
   echo ('<h5 align="center">Checking Tables</h5>');
   
   echo ("\n<table class=\"tables\">\n<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['auth']."</td>\n");
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['auth']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($authtable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['ban']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['ban']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($bantable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['com']."</td>\n");

   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['com']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($comtable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['cfg']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['cfg']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($cfgtable[$itsfields[$i]]);
   }
   $cfgtable[] = 'CHANGE notify_mes notify_mes TEXT NOT NULL';
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   
   $privtable = $datatable;
      
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['data']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['data']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($datatable[$itsfields[$i]]);
   }
   $datatable[] = 'CHANGE browser browser varchar(100) NOT NULL';
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['ip']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['ip']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($iptable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['pics']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['pics']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($picstable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['priv']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['priv']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($privtable[$itsfields[$i]]);
   }
   $privtable[] = 'CHANGE browser browser varchar(100) NOT NULL';
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['smile']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['smile']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($smiletable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n");
   echo ("<tr>\n<td class=\"tablestd\">Checking ".$GB_TBL['words']."</td>\n");
   
   $itsfields = GetFieldList($GB_DB['dbName'], $GB_TBL['words']);
   for ($i = 0; $i<sizeof($itsfields); $i++)
   {
      unset($wordstable[$itsfields[$i]]);
   }
   
   echo ("<td class=\"done\">done</td>\n</tr>\n</table>\n");
   
//
// Now lets run our queries
//

   echo ('<h5 align="center">Updating Tables</h5>');
   echo ("\n<table class=\"tables\">\n");

   if (sizeof($authtable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['auth']."</td>\n");
      $query = implode(', ADD ', $authtable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['auth']." ADD".$query);
   }
   
   if (sizeof($authtable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['ban']."</td>\n");
      $query = implode(', ADD ', $bantable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['ban']." ".$query);
   }
   
   if (sizeof($cfgtable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['cfg']."</td>\n");
      $query = implode(', ADD ', $cfgtable);
      $query = 'ADD '.$query;
      $query = str_replace('ADD CHANGE', 'CHANGE', $query);
      echo run_query("ALTER TABLE ".$GB_TBL['cfg']." ".$query);
   }
   
   if (sizeof($comtable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['com']."</td>\n");
      $query = implode(', ADD ', $comtable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['com']." ".$query);
   }
   
   if (sizeof($datatable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['data']."</td>\n");
      $query = implode(', ADD ', $datatable);
      $query = 'ADD '.$query;
      $query = str_replace('ADD CHANGE', 'CHANGE', $query);
      echo run_query("ALTER TABLE ".$GB_TBL['data']." ".$query);
   }
   
   if (sizeof($iptable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['ip']."</td>\n");
      $query = implode(', ADD ', $iptable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['ip']." ".$query);
   }
   
   if (sizeof($picstable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['pics']."</td>\n");
      $query = implode(', ADD ', $picstable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['pics']." ".$query);
   }
   
   if (sizeof($privtable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['priv']."</td>\n");
      $query = implode(', ADD ', $privtable);
      $query = 'ADD '.$query;
      $query = str_replace('ADD CHANGE', 'CHANGE', $query);
      echo run_query("ALTER TABLE ".$GB_TBL['priv']." ".$query);
   }
   
   if (sizeof($smiletable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['smile']."</td>\n");
      $query = implode(', ADD ', $smiletable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['smile']." ".$query);
   }
   
   if (sizeof($wordstable) > 0)
   {
      echo ("<tr>\n<td class=\"tablestd\">Updating ".$GB_TBL['words']."</td>\n");
      $query = implode(', ADD ', $wordstable);
      $query = 'ADD '.$query;
      echo run_query("ALTER TABLE ".$GB_TBL['words']." ".$query);
   }
   
   echo ("</table>\n<h2>Update Complete</h2>\n<p>For extra security we suggest you now delete this file</p>");
}
else
{
echo <<< EOD
<form action="install.php" method="post">
<fieldset>
<h4>SELECT AN OPTION</h4>
<p>If you are updating from either Advanced Guestbook 2.3.x or an older version of Lazarus press the <b>UPDATE</b> button.</p>
<p>If this is a new installation then press the <b>INSTALL</b> button.</p>

<input type="submit" value="INSTALL" name="lazinstall" /> &nbsp; <input type="submit" value="UPDATE" name="lazupdate" />
</fieldset>
</form>
EOD;
}
?>
</body>
</html>